<template>
  <div id="app">
    <div class="scoreBoard">
      <span>O победил {{ wins.O }} раз</span>
      <h2>Табло</h2>
      <span>X победил {{ wins.X }} раз</span>
    </div>

    <div class="game">
      <div id="details">
        <h1 class="game-title">Крестики-нолики</h1>
        <h2>Игра #{{ matches }}</h2>
      </div>

      <board></board>
      <button class="restart" @click="restart">Заново</button>
    </div>

  </div>
</template>

<script>
import Board from './components/Board'

export default {
  name: 'app',

  components: {
    Board
  },

  created () {
    this.$bus.$on('win', winner => this.wins[winner]++)
  },

  data () {
    return {
      matches: 1,
      wins: {
        O: 0,
        X: 0
      }
    }
  },

  methods: {
    restart () {
      this.$bus.$emit('clearCell')
      this.$bus.$emit('gridReset')
      this.matches++
    }
  }
}
</script>

<style>
#app {
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;

}
.game{
  max-width: 270px;
  text-align: center;
  margin: 0 auto;
  color: #34495e;
}
.game-title {
  text-transform: uppercase;
  font-weight: bold;
  font-size: 22px;
}
.restart {
  background-color: #e74c3c;
  color: #fff;
  border: 0;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  font-family: 'Dosis', sans-serif;
  font-size: 1.4em;
  font-weight: bold;
  margin: 0;
  padding: 15px;
  width: 100%;
}
.restart:hover {
  background-color: #c0392b;
  cursor: pointer;
}
.scoreBoard {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  height: 15px;
  background-color: #6eb5ff;
  padding: 20px;
}
.scoreBoard h2 {
  margin: 0;
}
.scoreBoard span {
  float: right;
  font-size: 1.5em;
  font-weight: bold;
  margin-left: 20px;
}
</style>
